freemarker.template

## Class MapKeyValuePairIterator

- java.lang.Object
- - freemarker.template.MapKeyValuePairIterator

All Implemented Interfaces:
  TemplateHashModelEx2.KeyValuePairIterator

    public class MapKeyValuePairIterator
    extends Object
    implements TemplateHashModelEx2.KeyValuePairIterator

Implementation of `TemplateHashModelEx2.KeyValuePairIterator` for a `TemplateHashModelEx2` that wraps or otherwise uses a `Map` internally.

Since:
  2.3.25

### Constructor Summary

Constructors
Constructor and Description
`MapKeyValuePairIterator(Map<?,?> map, ObjectWrapper objectWrapper)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasNext()` Similar to `Iterator.hasNext()`.
`TemplateHashModelEx2.KeyValuePair` `next()` Similar to `Iterator.next()`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MapKeyValuePairIterator

    public MapKeyValuePairIterator(Map<?,?> map,
                                   ObjectWrapper objectWrapper)

### Method Detail

#### hasNext

    public boolean hasNext()

Description copied from interface: `TemplateHashModelEx2.KeyValuePairIterator`
Similar to `Iterator.hasNext()`.

Specified by:
  `hasNext` in interface `TemplateHashModelEx2.KeyValuePairIterator`

#### next

    public TemplateHashModelEx2.KeyValuePair next()

Description copied from interface: `TemplateHashModelEx2.KeyValuePairIterator`
Similar to `Iterator.next()`.

Specified by:
  `next` in interface `TemplateHashModelEx2.KeyValuePairIterator`
Returns:
  Not `null`